attribute float a_textured;

varying vec3  v_position;
varying vec3  v_normal;
varying float v_textured;

void main() {
    v_position = vec3(gl_ModelViewMatrix * gl_Vertex);
    v_normal   = normalize(gl_NormalMatrix * gl_Normal);
    v_textured = a_textured;
    gl_TexCoord[0] = gl_MultiTexCoord0;
    gl_Position   = ftransform(); //gl_ModelViewProjectionMatrix * gl_Vertex;
    gl_FrontColor = gl_Color;
}
